Debian Bug report logs - #195360
ext2fs.static crash

Package: libc0.3; Maintainer for libc0.3 is GNU Libc Maintainers <debian-glibc@lists.debian.org>; Source for libc0.3 is src:eglibc.

Reported by: Ognyan Kulev <ogi@fmi.uni-sofia.bg>

Date: Fri, 30 May 2003 07:03:03 UTC

Severity: wishlist

Tags: jessie, sid

Merged with 46859

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, GNU Hurd Maintainers <bug-hurd@gnu.org>:
Bug#195360; Package hurd. Full text and rfc822 format available.

Acknowledgement sent to Ognyan Kulev <ogi@fmi.uni-sofia.bg>:
New Bug report received and forwarded. Copy sent to GNU Hurd Maintainers <bug-hurd@gnu.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Ognyan Kulev <ogi@fmi.uni-sofia.bg>
To: submit@bugs.debian.org
Subject: ext2fs.static crash
Date: Fri, 30 May 2003 09:53:57 +0300
Package: hurd
Version: 20020804-1
Tags: unreproducible

After some builds of oskit and gnumach I got the following assertion 
failure:

ext2fs.static: thread-cancel.c:55: Assertion `! __spin_lock_locked 
(&ss->critical_section_lock)' failed.

libc0.3 is 2.3.1-5.

P.S. The most interesting part is that while compiling oskit, I browsed 
a hurd mailing list and the assertion failed just after I hit Enter to 
view #116317 ;-)

Regards
-- 
Ognyan Kulev <ogi@fmi.uni-sofia.bg>, "\"Programmer\""
7D9F 66E6 68B7 A62B 0FCF  EB04 80BF 3A8C A252 9782




Bug reassigned from package `hurd' to `libc0.3'. Request was from Ognyan Kulev <ogi@fmi.uni-sofia.bg> to control@bugs.debian.org. Full text and rfc822 format available.

Severity set to `wishlist'. Request was from Ognyan Kulev <ogi@fmi.uni-sofia.bg> to control@bugs.debian.org. Full text and rfc822 format available.

Merged 46859 195360. Request was from Ognyan Kulev <ogi@fmi.uni-sofia.bg> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#195360; Package libc0.3. Full text and rfc822 format available.

Acknowledgement sent to Nathanael Nerode <neroden@twcny.rr.com>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. Full text and rfc822 format available.

Message #16 received at 195360@bugs.debian.org (full text, mbox):

From: Nathanael Nerode <neroden@twcny.rr.com>
To: 195360-submitter@bugs.debian.org, 195360@bugs.debian.org
Subject: 2-year-old unreproducible bug, can this be closed?
Date: Thu, 11 Aug 2005 04:19:22 -0400
It doesn't seem to serve a useful purpose to leave it hanging around.  
Unless it's reproducible in which case it should lose the tag.




Message sent on to Ognyan Kulev <ogi@fmi.uni-sofia.bg>:
Bug#195360. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#195360; Package libc0.3. Full text and rfc822 format available.

Acknowledgement sent to Ognyan Kulev <ogi@fmi.uni-sofia.bg>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. Full text and rfc822 format available.

Message #24 received at 195360@bugs.debian.org (full text, mbox):

From: Ognyan Kulev <ogi@fmi.uni-sofia.bg>
To: Nathanael Nerode <neroden@twcny.rr.com>
Cc: 195360@bugs.debian.org
Subject: Re: Bug#195360: 2-year-old unreproducible bug, can this be closed?
Date: Thu, 11 Aug 2005 12:56:51 +0300
Nathanael Nerode wrote:
> It doesn't seem to serve a useful purpose to leave it hanging around.  
> Unless it's reproducible in which case it should lose the tag.

No, the Hurd project doesn't have resources to resolve tough and rare 
problems but at least we try to keep list of known problems.  Look at 
http://bugs.debian.org/hurd

Regards,
ogi



Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#195360; Package libc0.3. Full text and rfc822 format available.

Acknowledgement sent to Daniel Jacobowitz <drow@false.org>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. Full text and rfc822 format available.

Message #29 received at 195360@bugs.debian.org (full text, mbox):

From: Daniel Jacobowitz <drow@false.org>
To: Ognyan Kulev <ogi@fmi.uni-sofia.bg>, 195360@bugs.debian.org
Cc: Nathanael Nerode <neroden@twcny.rr.com>
Subject: Re: Bug#195360: 2-year-old unreproducible bug, can this be closed?
Date: Thu, 11 Aug 2005 21:36:17 -0400
On Thu, Aug 11, 2005 at 12:56:51PM +0300, Ognyan Kulev wrote:
> Nathanael Nerode wrote:
> >It doesn't seem to serve a useful purpose to leave it hanging around.  
> >Unless it's reproducible in which case it should lose the tag.
> 
> No, the Hurd project doesn't have resources to resolve tough and rare 
> problems but at least we try to keep list of known problems.  Look at 
> http://bugs.debian.org/hurd

That's not relevant.  Has anyone reproduced this bug since then?  If
not, Nathanael's right; it should be closed.  The code has changed many
times since then.

-- 
Daniel Jacobowitz
CodeSourcery, LLC



Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#195360; Package libc0.3. Full text and rfc822 format available.

Acknowledgement sent to Ognyan Kulev <ogi@fmi.uni-sofia.bg>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. Full text and rfc822 format available.

Message #34 received at 195360@bugs.debian.org (full text, mbox):

From: Ognyan Kulev <ogi@fmi.uni-sofia.bg>
To: Daniel Jacobowitz <drow@false.org>
Cc: 195360@bugs.debian.org, Nathanael Nerode <neroden@twcny.rr.com>
Subject: Re: Bug#195360: 2-year-old unreproducible bug, can this be closed?
Date: Fri, 12 Aug 2005 15:36:09 +0300
Daniel Jacobowitz wrote:
> That's not relevant.  Has anyone reproduced this bug since then?  If
> not, Nathanael's right; it should be closed.  The code has changed many
> times since then.

I've experienced it multiple times since then.  Others do too:

http://lists.gnu.org/archive/html/bug-hurd/2005-04/msg00060.html
http://lists.gnu.org/archive/html/bug-hurd/2005-04/msg00074.html (follow-up)

This particular file (thread-cancel.c) hasn't changed much, like much 
other Hurd code in glibc.  The last change was in 2001 for "Update to 
LGPL v2.1.": 
http://sources.redhat.com/cgi-bin/cvsweb.cgi/libc/hurd/thread-cancel.c?cvsroot=glibc

Regards,
ogi



Tags removed: unreproducible Request was from Nathanael Nerode <neroden@twcny.rr.com> to control@bugs.debian.org. Full text and rfc822 format available.

Added tag(s) jessie. Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Thu, 18 Apr 2013 17:34:19 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 25 08:45:52 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.